Subject: bug#73609: 29.1; use-package overwrites custom variables in byte-compiled files

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Oct 2024 12:32:24 +0200

> From: John Wiegley <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 14 Oct 2024 08:10:39 -0700
> 
> >>>>> Al Haji-Ali <[email-masked]> writes:
> 
> > I hope this clarifies the issue. I included a potential patch in my original
> > message which fixes the issue, but I am not sure if it would have unintended
> > consequences,
> 
> Ah, I understand now, this is indeed a complication that should be addressed.
> Byte-compiling use-package declarations has always been rather tricky, and it
> still does not even work for my own personal configuration.

How should we proceed with this bug report?  Should we close it as
wontfix?